Bug 225870 - lang/python35: Marked as BROKEN with openssl-devel but is not
Summary: lang/python35: Marked as BROKEN with openssl-devel but is not
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks: 222552
  Show dependency treegraph
 
Reported: 2018-02-13 20:30 UTC by Bernard Spil
Modified: 2018-02-22 12:20 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (python)


Attachments
svn diff for lang/python35 (6.84 KB, text/plain)
2018-02-13 20:30 UTC, Bernard Spil
no flags Details
svn diff for lang/python35 (6.47 KB, patch)
2018-02-14 10:23 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-02-13 20:30:30 UTC
Created attachment 190591 [details]
svn diff for lang/python35

```
lang/python35: Fix build with OpenSSL 1.1

 - Backport fix from upstream 3.6

PR: 
```
Comment 1 Bernard Spil freebsd_committer 2018-02-14 10:23:26 UTC
Created attachment 190605 [details]
svn diff for lang/python35

Refresh borked patch.

Backported from 3.6
Comment 2 commit-hook freebsd_committer 2018-02-15 12:48:22 UTC
A commit references this bug:

Author: sunpoet
Date: Thu Feb 15 12:48:10 UTC 2018
New revision: 461917
URL: https://svnweb.freebsd.org/changeset/ports/461917

Log:
  Fix build with OpenSSL 1.1.0 (security/openssl-devel)

  - Remove BROKEN_SSL=openssl-devel

  Reference:	https://bugs.python.org/issue30622
  		https://github.com/python/cpython/commit/b2d096bd2a5ff86e53c25d00ee5fa097b36bf1d8
  		https://github.com/python/cpython/commit/af64aff9f7de2ee60c20bfb331e8a00ea0521c1e
  PR:		225870
  Submitted by:	brnrd
  MFH:		2018Q1

Changes:
  head/lang/python35/Makefile
  head/lang/python35/files/patch-issue30622
Comment 3 Po-Chuan Hsieh freebsd_committer 2018-02-15 12:49:01 UTC
Committed. Thanks!
Comment 4 commit-hook freebsd_committer 2018-02-22 12:20:16 UTC
A commit references this bug:

Author: sunpoet
Date: Thu Feb 22 12:19:57 UTC 2018
New revision: 462586
URL: https://svnweb.freebsd.org/changeset/ports/462586

Log:
  MFH: r461917

  Fix build with OpenSSL 1.1.0 (security/openssl-devel)

  - Remove BROKEN_SSL=openssl-devel

  Reference:	https://bugs.python.org/issue30622
  		https://github.com/python/cpython/commit/b2d096bd2a5ff86e53c25d00ee5fa097b36bf1d8
  		https://github.com/python/cpython/commit/af64aff9f7de2ee60c20bfb331e8a00ea0521c1e
  PR:		225870
  Submitted by:	brnrd

  Approved by:	ports-secteam (blanket)

Changes:
_U  branches/2018Q1/
  branches/2018Q1/lang/python35/Makefile
  branches/2018Q1/lang/python35/files/patch-issue30622